#delimit ;
use "S:\projects\HH-HSPC\HHA-PPS\2_DATA\_USER_Data\Plotzke\Recalibration (2025 Rule)\LDS\LDS_30dayFinal.dta", replace;

label var bene_id "Beneficiary ID";
label var clm_id "Claim ID";
label var provider "CMS Certification Number (CCN)";
label var from_dt "Claim from date";
label var thru_dt "Claim thru date";
label var wage_index23 "Wage index that was applied to the claim (2023)";
label var wage_index24 "Wage index that would be applied to the claim (2024)";
label var wage_index25 "Wage index that would be applied to the claim (2025)";
label var skn_cost_min "The average cost per minute for skilled nursing services multiplied by minutes of service for the agency providing the home health 30-day period of care";
label var phy_cost_min "The average cost per minute for physical therapy services multiplied by minutes of service for the agency providing the home health 30-day period of care";
label var occ_cost_min "The average cost per minute for occupational therapy services multiplied by minutes of service for the agency providing the home health 30-day period of care";
label var spc_cost_min "The average cost per minute for speech therapy services multiplied by minutes of service for the agency providing the home health 30-day period of care";
label var aid_cost_min "The average cost per minute for home health aide services multiplied by minutes of service for the agency providing the home health 30-day period of care";
label var mss_cost_min "The average cost per minute for medical social services multiplied by minutes of service for the agency providing the home health 30-day period of care";
label var func_score "Functional score (Recalibrated)";
label var func_level "Functional level (Recalibrated)";
label var admin_timing "Admission source and timing";
label var comorbid_adj "Flag for whether 30-day period receives a comorbidity adjustment [0 = No comorbidity adjustment, 1 = low comorbidity adjustment, 2 = high comorbidity adjustment](Recalibrated)";
label var lupa "Flag for whether 30-day period is a LUPA (Recalibrated)";
label var lupa_r "Flag for whether 30-day period is a LUPA (Repriced)";
label var hipps "The HIPPS code of the 30-day period (Recalibrated)";
label var hipps_r "The HIPPS code of the 30-day period (Repriced)";
label var weight "PDGM case-mix weight (Recalibrated)";
label var weight_r "PDGM case-mix weight (Repriced)";
label var pep "Flag for whether the 30-day period is a PEP";
label var pep_r "Flag for whether the 30-day period is a PEP (Repriced)";
label var outlier "Flag for whether the 30-day period is an outlier (Recalibrated)";
label var outlier_r "Flag for whether the 30-day period is an outlier (Repriced)";
label var res_tot_cpm_nrs "Resource use (Cost per minute plus NRS)";
label var pmt_amt "Simulated 2025 PDGM payment amount (does not include outlier payment) (Recalibrated)";
label var pmt_amt_r "Simulated Repriced 2023 PDGM payment amount (does not include outlier payment)";
label var pmt_amt_out "Simulated 2025 PDGM outlier payment (does not include 10% outlier cap) (Recalibrated)";
label var pmt_amt_out_r "Simulated Repriced 2023 PDGM outlier payment (does not include 10% outlier cap)";
label var impact "Flag for whether 30-day period is used in PDGM impact analysis";
label var repricing  "Flag for whether 30-day period is used in PDGM permanent adjustment/repricing analysis";
label var skn_cvis "Skilled Nursing Visits";
label var phy_cvis "Physical Therapy Visits";
label var occ_cvis "Occupational Therapy Visits";
label var spc_cvis "Speech Language Pathology Visits";
label var aid_cvis "Home Health Aide Visits";
label var mss_cvis "Medical Social Services Visits";
label var skn_cmin "Skilled Nursing Minutes";
label var phy_cmin "Physical Therapy Minutes";
label var occ_cmin "Occupational Therapy Minutes";
label var spc_cmin "Speech Language Pathology Minutes";
label var aid_cmin "Home Health Aide Minutes";
label var mss_cmin "Medical Social Services Minutes";
label var billable_first "Date of first billable (covered) visit";
label var billable_last "Date of last billable (covered) visit";
label var first_vis  "Indicator for whether first visit was SKN/PT/SLP/OT (for LUPA add-on)";
label var lupa_add "Flag for LUPA add-on payment (Repriced)";
label var rural_cat  "Rural Category for Rural Add-on Payment (A = High Utilization, B = Low Population Density, C = All Other)";
label var rural_add_on "Rural Add-on Percentage";
label var m1800_cu_grooming "M1800: Grooming";
label var m1810_cu_dress_upr "M1810: Current ability to dress upper body";
label var m1820_cu_dress_low "M1820: Current ability to dress lower body";
label var m1830_crnt_bathg "M1830: Bathing";
label var m1840_cur_toiltg "M1840: Toilet transferring";
label var m1850_cur_trnsfrng "M1850: Transferring";
label var m1860_crnt_ambltn "M1860: Ambulation/Locomotion";
label var m1033_total4 "M1033: Risk of hospitalization has 4 or more items checked";
label var m1021_pri_dgn_i10 "M1021: Primary diagnosis code ICD-10-CM";
label var m1023_oth_dgn1_i10 "M1023: Other diagnosis code 1 ICD-10-CM";
label var m1023_oth_dgn2_i10 "M1023: Other diagnosis code 2 ICD-10-CM";
label var m1023_oth_dgn3_i10 "M1023: Other diagnosis code 3 ICD-10-CM";
label var m1023_oth_dgn4_i10 "M1023: Other diagnosis code 4 ICD-10-CM";
label var m1023_oth_dgn5_i10 "M1023: Other diagnosis code 5 ICD-10-CM";
label var m1030_thh_ent_nutr "M1030: Therapies the patient receives at home (Enteral nutrition)";
label var m1030_thh_iv_infus "M1030: Therapies the patient receives at home (Intravenous or infusion therapies)";
label var m1030_thh_par_nutr "M1030: Therapies the patient receives at home (Parenteral nutrition)";
label var m1030_thh_none_abv "M1030: Therapies the patient receives at home (None of the above)";
label var m1200_vision "M1200: The patient's vision status";
label var m1242_pain_freq_actvty_mvmt "M1242: Frequency of pain interfering with patient's activity or movement";
label var m1306_unhld_stg2_prsr_ulcr "M1306: Flag if the patient has at least one unhealed pressure ulcer at stage II or higher";
label var m1311_stg_2_prsr_ulcrs_a1_num "M1311: The current number of unhealed pressure ulcers at stage II";
label var m1311_stg_3_prsr_ulcrs_b1_num "M1311: The current number of unhealed pressure ulcers at stage III";
label var m1311_stg_4_prsr_ulcrs_c1_num "M1311: The current number of unhealed pressure ulcers at stage IV";
label var m1311_unstg_cvrg_e1_num "M1311: The current number of unstageable unhealed pressure ulcers due to coverage of wound bed by slough and/or eschar";
label var m1311_unstg_deep_tisue_f1_num "M1311: The current number of unstageable unhealed pressure ulcers due to deep tissue injury in evolution";
label var m1311_unstg_prsr_ulcr_d1_num "M1311: The current number of unstageable unhealed pressure ulcers due to non-removable dressing/device";
label var m1322_nbr_pru_stg1 "M1322: The current number of stage I pressure ulcers";
label var m1324_stg_prbl_pru "M1324: The stage of the most problematic unhealed (observable) pressure ulcer";
label var m1330 "M1330: Flag for whether the patient has a stasis ulcer";
label var m1332 "M1332: The current number of (observable) stasis wounds";
label var m1334 "M1334: The status of the most problematic (observable) stasis ulcer";
label var m1340 "M1340: Flag for whether the patient has a surgical wound";
label var m1342 "M1342: The status of the most problematic (observable) surgical wound";
label var m1400_when_dyspnic "M1400: Flag for when the patient is dyspneic or noticeably short of breath";
label var m1610_ur_incont "M1610: Flag for whether the patient has urinary incontinence or urinary catheter presence";
label var m1620_bwl_incont "M1620: Frequency of bowel incontinence";
label var m1630_ostomy "M1630: Flag for whether the patient has an ostomy for bowel elimination that was related to an inpatient stay or necessitated a change in medical or treatment regimen";
label var m2001_drug_rgmn_rvw_cd "M2001: Flag for whether a complete drug regimen review was completed";
label var m2030 "M2030: Patient's current ability to prepare and take all prescribed injectable medications reliably and safely";
label var socdate "Start of care date";
label var vcode2 "Version completed code indicating the version of OASIS actually completed";
label var version_cd "Layout submitted version code field which contains the version number (e.g. OASIS-E) for the data specifications used for submission";
label var asmt_sys_cd "Assessment system code";
label var occ_dt_50 "OASIS assessment date on home health claim";
label var asmdate "The date the assessment was completed";
label var asmtype "The reason the assessment is currently being completed";
label var icd_dgns_cd1 "Claim Diagnosis Code I";
label var icd_dgns_cd2 "Claim Diagnosis Code II";
label var icd_dgns_cd3 "Claim Diagnosis Code III";
label var icd_dgns_cd4 "Claim Diagnosis Code IV";
label var icd_dgns_cd5 "Claim Diagnosis Code V";
label var icd_dgns_cd6 "Claim Diagnosis Code VI";
label var icd_dgns_cd7 "Claim Diagnosis Code VII";
label var icd_dgns_cd8 "Claim Diagnosis Code VIII";
label var icd_dgns_cd9 "Claim Diagnosis Code IX";
label var icd_dgns_cd10 "Claim Diagnosis Code X";
label var icd_dgns_cd11 "Claim Diagnosis Code XI";
label var icd_dgns_cd12 "Claim Diagnosis Code XII";
label var icd_dgns_cd13 "Claim Diagnosis Code XIII";
label var icd_dgns_cd14 "Claim Diagnosis Code XIV";
label var icd_dgns_cd15 "Claim Diagnosis Code XV";
label var icd_dgns_cd16 "Claim Diagnosis Code XVI";
label var icd_dgns_cd17 "Claim Diagnosis Code XVII";
label var icd_dgns_cd18 "Claim Diagnosis Code XVIII";
label var icd_dgns_cd19 "Claim Diagnosis Code XIX";
label var icd_dgns_cd20 "Claim Diagnosis Code XX";
label var icd_dgns_cd21 "Claim Diagnosis Code XXI";
label var icd_dgns_cd22 "Claim Diagnosis Code XXII";
label var icd_dgns_cd23 "Claim Diagnosis Code XXIII";
label var icd_dgns_cd24 "Claim Diagnosis Code XXIV";
label var icd_dgns_cd25 "Claim Diagnosis Code XXV";
label var b1000_vsn_cd "Ability to see in adequate light (with glasses or other visual appliances)";
label var j0510_pain_sleep_cd "Pain effect on sleep";
label var j0520_pain_thrpy_cd "Pain interference with therapy activities";
label var j0530_pain_day_day_cd "Pain interference with day-to-day activities";
label var k0520a1_prntrl_admsn_cd "Nutritional Approaches - last 7 days - Parenteral/IV feeding";
label var k0520b1_feed_tube_admsn_cd "Nutritional Approaches - last 7 days - Feeding tube";
label var o0110h1a_iv_mdctn_admsn_cd "Special treatment, procedures, and programs - IV medications";


compress;
desc;
count;
save "S:\projects\HH-HSPC\HHA-PPS\2_DATA\_USER_Data\Plotzke\Recalibration (2025 Rule)\LDS\LDS_30dayFinal.dta", replace;







use "S:\projects\HH-HSPC\HHA-PPS\2_DATA\_USER_Data\Plotzke\Recalibration (2025 Rule)\LDS\LDS_60dayFinal.dta", replace;
label var bene_id "Beneficiary ID";
label var provider "CMS Certification Number (CCN)";
label var from_dt "Claim from date";
label var thru_dt "Claim thru date";
label var wage_index23 "Wage index that would be applied to the claim (2023)";
label var clm_id "Claim ID of the first 30-day period to make up this 60-day episode";
label var clm_id_2nd "Claim ID of the second 30-day period to make up this 60-day episode";
label var lupa "Flag for whether 60-day episode is a LUPA";
label var hipps "The HIPPS code of the 60-day episode";
label var weight "153-group case-mix weight";
label var pep "Flag for whether the 60-day episode is a PEP";
label var outlier "Flag for whether the 60-day episode is an outlier ";
label var pmt_amt "Simulated 2023 153-group payment amount (including outlier payments)";
label var pmt_amt_out "Simulated 2023 153-group outlier payment";
label var skn_cvis "Skilled Nursing Visits";
label var phy_cvis "Physical Therapy Visits";
label var occ_cvis "Occupational Therapy Visits";
label var spc_cvis "Speech Language Pathology Visits";
label var aid_cvis "Home Health Aide Visits";
label var mss_cvis "Medical Social Services Visits";
label var skn_cmin "Skilled Nursing Minutes";
label var phy_cmin "Physical Therapy Minutes";
label var occ_cmin "Occupational Therapy Minutes";
label var spc_cmin "Speech Language Pathology Minutes";
label var aid_cmin "Home Health Aide Minutes";
label var mss_cmin "Medical Social Services Minutes";
label var first_vis "Indicator for whether first visit was SKN/PT/SLP/OT (for LUPA add-on)";
label var lupa_add "Flag for LUPA add-on payment";
label var rural_cat "Rural Category for Rural Add-on Payment (A = High Utilization, B = Low Population Density, C = All Other)";
label var rural_add_on "Rural Add-on Percentage";
label var m0110_recalc "M0110: Episode Timing (Recalculated based on claims history) ";
label var m1810_cu_dress_upr "M1810: Current ability to dress upper body";
label var m1820_cu_dress_low "M1820: Current ability to dress lower body";
label var m1830_crnt_bathg "M1830: Bathing";
label var m1840_cur_toiltg "M1840: Toilet transferring";
label var m1850_cur_trnsfrng "M1850: Transferring";
label var m1860_crnt_ambltn "M1860: Ambulation/Locomotion";
label var m1021_pri_dgn_i10 "M1021: Primary diagnosis code ICD-10-CM";
label var m1023_oth_dgn1_i10 "M1023: Other diagnosis code 1 ICD-10-CM";
label var m1023_oth_dgn2_i10 "M1023: Other diagnosis code 2 ICD-10-CM";
label var m1023_oth_dgn3_i10 "M1023: Other diagnosis code 3 ICD-10-CM";
label var m1023_oth_dgn4_i10 "M1023: Other diagnosis code 4 ICD-10-CM";
label var m1023_oth_dgn5_i10 "M1023: Other diagnosis code 5 ICD-10-CM";
label var m1030_thh_ent_nutr "M1030: Therapies the patient receives at home (Enteral nutrition)";
label var m1030_thh_iv_infus "M1030: Therapies the patient receives at home (Intravenous or infusion therapies)";
label var m1030_thh_par_nutr "M1030: Therapies the patient receives at home (Parenteral nutrition)";
label var m1030_thh_none_abv "M1030: Therapies the patient receives at home (None of the above)";
label var m1200_vision "M1200: The patient's vision status";
label var m1242_pain_freq_actvty_mvmt "M1242: Frequency of pain interfering with patient's activity or movement";
label var m1306_unhld_stg2_prsr_ulcr "M1306: Flag if the patient has at least one unhealed pressure ulcer at stage II or higher";
label var m1311_stg_2_prsr_ulcrs_a1_num "M1311: The current number of unhealed pressure ulcers at stage II";
label var m1311_stg_3_prsr_ulcrs_b1_num "M1311: The current number of unhealed pressure ulcers at stage III";
label var m1311_stg_4_prsr_ulcrs_c1_num "M1311: The current number of unhealed pressure ulcers at stage IV";
label var m1311_unstg_cvrg_e1_num "M1311: The current number of unstageable unhealed pressure ulcers due to coverage of wound bed by slough and/or eschar";
label var m1311_unstg_deep_tisue_f1_num "M1311: The current number of unstageable unhealed pressure ulcers due to deep tissue injury in evolution";
label var m1311_unstg_prsr_ulcr_d1_num "M1311: The current number of unstageable unhealed pressure ulcers due to non-removable dressing/device";
label var m1322_nbr_pru_stg1 "M1322: The current number of stage I pressure ulcers";
label var m1324_stg_prbl_pru "M1324: The stage of the most problematic unhealed (observable) pressure ulcer";
label var m1330 "M1330: Flag for whether the patient has a stasis ulcer";
label var m1332 "M1332: The current number of (observable) stasis wounds";
label var m1334 "M1334: The status of the most problematic (observable) stasis ulcer";
label var m1340 "M1340: Flag for whether the patient has a surgical wound";
label var m1342 "M1342: The status of the most problematic (observable) surgical wound";
label var m1400_when_dyspnic "M1400: Flag for when the patient is dyspneic or noticeably short of breath";
label var m1610_ur_incont "M1610: Flag for whether the patient has urinary incontinence or urinary catheter presence";
label var m1620_bwl_incont "M1620: Frequency of bowel incontinence";
label var m1630_ostomy "M1630: Flag for whether the patient has an ostomy for bowel elimination that was related to an inpatient stay or necessitated a change in medical or treatment regimen";
label var m2001_drug_rgmn_rvw_cd "M2001: Flag for whether a complete drug regimen review was completed";
label var m2030 "M2030: Patient's current ability to prepare and take all prescribed injectable medications reliably and safely";
label var m2200_thrpy_need_na_num "Therapy Need: Recalculated based on actual number of therapy visits on claim";
label var nrs_level "NRS Level";
label var nrs_wgt_fnl "NRS Weight";
label var payday1 "Number of days used for PEP length";
label var asmtype "The reason the assessment is currently being completed";


compress;
desc;
count;
save "S:\projects\HH-HSPC\HHA-PPS\2_DATA\_USER_Data\Plotzke\Recalibration (2025 Rule)\LDS\LDS_60dayFinal.dta", replace;

